#ifndef CERTLISTPARSERTEST_H
#define CERTLISTPARSERTEST_H

#include <QObject>
#include <QtTest/QtTest>

class CertificateList;

class CertListTest: public QObject
{
    Q_OBJECT

    CertificateList* testWithFile(const char *filename);

private Q_SLOTS:
    void testInvalidSig();
    void testValidList();
    void testInvalidFileNames();
    void testGarbage();
    void testTooLarge();
    void testEmptyFile();
    void benchmarkValid();
};
#endif
